#include "deftype.h"

void jcut_c(unchar *word,int c)
/* 日本語文字列word中からcを取り除く */
{
unint i=0,j=0,cc;
	if (c!=0) { /* c=0の時は何もしない */
		do {
			cc=word[i++];
			if (check_kanji1(cc)) cc=(cc<<8)+word[i++];
			if (cc!=c) { /* 必ず文字数は減るか同じだから上書きする */
				if (cc>256) word[j++]=(cc>>8);
				word[j++]=(unchar)cc;
			}
		} while (cc!=0);
	}
}
